Package: org.codehaus.groovy.classgen.asm.sc

## [Java] Class StaticPropertyAccessHelper

- org.codehaus.groovy.classgen.asm.sc.StaticPropertyAccessHelper

-     public abstract class StaticPropertyAccessHelper
      extends Object

  Facilitates the generation of statically-compiled bytecode for property access.

  Since:
    2.4.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Expression` | `transformToSetterCall(Expression receiver, MethodNode setterMethod, Expression valueExpression, boolean implicitThis, boolean safe, boolean spreadSafe, boolean returnValue, Expression sourceExpression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static Expression transformToSetterCall(Expression receiver, MethodNode setterMethod, Expression valueExpression, boolean implicitThis, boolean safe, boolean spreadSafe, boolean returnValue, Expression sourceExpression)